## bitchx 0.70

=== Makefile ===
CC = /usr/bin/gcc

all:
	$(CC) -Wall -O2 -o ircname ircname.c
