## bitchx 1.2c01-svn-1maemo0

=== debian/changelog ===
bitchx (1.2c01-svn-1maemo0) unstable; urgency=low

  * Give it a try ...

 -- COLIN Stephane <colin.stephane@ovi.com>  Sat, 30 Mar 2013 11:07:17 +0100

bitchx (1.2c01-svn-1) unstable; urgency=low

  * Initial release

 -- Nye Liu <nyet@nyet.org>  Thu, 10 May 2012 19:03:28 -0800
